Full name: projects.locations.instances.remediationPlans.remediationActions.list
Lists Remediation Actions under a plan.
HTTP request
GET https://{endpoint}/v1alpha/{parent}/remediationActions
Where {endpoint} is one of the supported service endpoints.
Path parameters
| Parameters | |
|---|---|
parent |
Required. Target plan's resource name. |
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. Page size. |
pageToken |
Optional. Page token. |
filter |
Optional. Item filter. |
orderBy |
Optional. Sorting order. |
Request body
The request body must be empty.
Response body
Response payload for remediationActions.list.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"remediationActions": [
{
object ( |
| Fields | |
|---|---|
remediationActions[] |
Retrieved list of actions. |
nextPageToken |
Token for fetching the next page. |
totalSize |
Overall total size of target actions. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/chronicle
For more information, see the Authentication Overview.